k_spatial_2d_padding {keras} | R Documentation

## Pads the 2nd and 3rd dimensions of a 4D tensor.

### Description

Pads the 2nd and 3rd dimensions of a 4D tensor.

### Usage

    k_spatial_2d_padding(x, padding = list(list(1, 1), list(1, 1)),
      data_format = NULL)

### Arguments

`x` | Tensor or variable.
`padding` | Tuple of 2 lists, padding pattern.
`data_format` | string, `"channels_last"` or `"channels_first"`.

### Value

A padded 4D tensor.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]